
Infrastructure - Bug #4176

The archive method in CN doesn't call back to the authoritative and replica MNs.

2013-11-13 23:35 - Jing Tao

Status: New Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

All of the CN calls that modify SystemMetadata should be calling back to the authoritative and replica MNs with

MN.systemMetadataChanged() to keep them up to date. However, when i tested to use a MN certificate to call the archive method in

CN, the system metadata in CN was modified, but the one in the authoritative (original) MN isn't changed. We need also to check all

of methods involving to modify SystemMetadata.

History

#1 - 2014-10-01 21:24 - Dave Vieglais

- Start date set to 2014-10-01

- Due date set to 2014-10-01

- Target version set to Maintenance Backlog

#2 - 2014-10-01 21:24 - Dave Vieglais

- Target version deleted (Maintenance Backlog)

- Due date deleted (2014-10-01)

- Start date deleted (2014-10-01)

#3 - 2014-10-01 21:25 - Dave Vieglais

- Due date set to 2014-10-01

- Start date set to 2014-10-01

- Target version set to Release Backlog
